@import url("https://fonts.googleapis.com/css2?family=Jost&display=swap");

* {
  border: 0;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

li,
ul {
  list-style: none;
}

body {
  background-color: #2b2c3a;
  color: #fff;
  font-family: "Jost", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: normal;
  height: 100%;
  line-height: 1;
}

.header-container {
  align-items: center;
  background-color: #2b2c3a;
  border-bottom: 1px solid rgba(216, 216, 216, 0.1);
  display: grid;
  grid-template-columns: 3fr 2fr 1fr;
  height: 70px;
  padding-left: 55px;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
}

.header-menu {
  align-items: center;
  display: flex;
  font-size: 14px;
  line-height: 10px;
  margin-left: 280px;
}

.header-menu p {
  cursor: pointer;
  margin-right: 28px;
  opacity: 0.6;
}

.header-menu p:hover,
.header-menu p:active {
  opacity: 1;
}

.header-line {
  background: #d8d8d8;
  height: 24px;
  opacity: 0.1;
  width: 1px;
}

.header-stats {
  align-items: center;
  display: flex;
  margin-left: auto;
  margin-right: 5px;
}

.header-stats-link {
  align-self: center;
  background: rgba(255, 255, 255, 0.06);
  border-radius: 5px;
  color: #ffffff;
  cursor: inherit;
  display: flex;
  font-size: 13px;
  font-weight: normal;
  justify-content: space-between;
  line-height: 10px;
  margin-right: 10px;
  padding: 7px 9px;
  text-decoration: none;
}

#hours {
  padding: 3px;
}

.header-stats-link b {
  margin: auto 0;
  padding-right: 4px;
}

.header-red {
  background-color: #ff4738;
  border-radius: 4px;
  box-shadow: 0px 0px 12px rgba(255, 71, 56, 0.5);
  margin-right: 5px;
  padding: 3px 5.5px;
}

.header-stats-link span {
  font-size: 11px;
  font-weight: normal;
  margin: auto 0;
}

.header-profile {
  display: flex;
}

.header-profile-text {
  display: flex;
  flex-direction: column;
  font-size: 14px;
  font-weight: normal;
  justify-content: space-evenly;
  line-height: 10px;
  padding-left: 13px;
}

.header-profile-status {
  color: #24cb8d;
  font-size: 13px;
  font-weight: 600;
  padding-left: 4px;
  padding-left: 12px;
  position: relative;
}

.header-profile-status:before {
  background: #24cb8d;
  border-radius: 3px;
  content: "";
  display: block;
  height: 6px;
  left: 0;
  position: absolute;
  top: 2px;
  width: 6px;
}

.header-grade {
  background: linear-gradient(90deg, #6b69f9 0%, #6f6eff 100%);
  border-radius: 4px;
  box-shadow: 0px 0px 12px rgba(111, 110, 255, 0.5);
  font-size: 11px;
  font-style: normal;
  font-weight: normal;
  height: 14px;
  line-height: 10px;
  margin-left: 15px;
  margin-top: 8px;
  padding: 2px 8px;
}

.menu {
  background: rgba(156, 165, 236, 0.04);
  display: flex;
  flex-direction: column;
  font-size: 14px;
  height: 100%;
  letter-spacing: 1px;
  line-height: 20px;
  position: fixed;
  width: 280px;
  z-index: 11;
}

.menu-nav {
  margin-top: 40px;
}

.leftbar__line {
  margin-top: 15px;
}

.logo {
  padding-left: 30px;
}

.menu-line {
  margin-top: 15px;
}

.menu h3 {
  font-size: 14px;
  padding-left: 30px;
  text-transform: uppercase;
}

.menu-item {
  cursor: pointer;
  margin-bottom: 24px;
  padding-right: 30px;
}

.menu-button {
  background-color: #2f3142;
  color: white;
  font-family: "Jost", sans-serif;
  letter-spacing: 1px;
  cursor: pointer;
}

.toggle-item {
  display: flex;
  justify-content: space-between;
}

.rotate {
  transform: rotate(180deg);
}

.menu-toggle {
  background: none;
  cursor: pointer;
}

.inactive {
  display: none;
}

.menu-item-nested {
  padding: 10px 0 10px 45px;
  position: relative;
}

.menu-item-nested:hover,
.menu-item-nested:active {
  background: rgba(172, 172, 172, 0.04);
}

.menu-item-nested:hover:before,
.menu-item-nested:active:before {
  background: #6f6eff;
  box-shadow: 0px 0px 12px rgb(111 110 255 / 50%);
  content: "";
  display: block;
  height: 43px;
  left: 0;
  position: absolute;
  top: 0;
  width: 3px;
}

.menu-item-nested-link {
  color: #ffffff;
  font-size: 14px;
  font-weight: 400;
  opacity: 0.5;
  text-decoration: none;
}

.menu-item-nested:hover .menu-item-nested,
.menu-item-nested:active .menu-item-nested {
  opacity: 1;
}

.icon {
  fill: #a09f9f;
  margin-right: 24px;
}

.menu-item-nested:hover .menu-item-nested-link,
.menu-item-nested:active .menu-item-nested-link {
  fill: #6f6eff;
}

.menu-mailing {
  align-items: center;
  display: flex;
  justify-content: space-between;
  line-height: 10px;
  margin-top: auto;
  padding-bottom: 30px;
  padding-left: 30px;
  padding-right: 30px;
}

.menu-mailing span {
  font-size: 14px;
  opacity: 0.5;
}

.menu-switch {
  display: inline-block;
  height: 22px;
  position: relative;
  width: 42px;
}

.menu-switch input {
  height: 0;
  opacity: 0;
  width: 0;
}

.menu-slider {
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 16px;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: 0.4s;
}

.menu-slider:before {
  background-color: white;
  border-radius: 50%;
  bottom: 2px;
  content: "";
  height: 16px;
  left: 3px;
  position: absolute;
  transition: 0.4s;
  width: 16px;
}

.menu-switch input:checked+.menu-slider {
  opacity: 1;
}

.menu-switch input:checked+.menu-slider:before {
  background: #6f6eff;
  box-shadow: 0px 0px 12px rgba(111, 110, 255, 0.5);
  opacity: 1;
  transform: translateX(19px);
}

.main-container {
  padding-left: 335px;
  padding-right: 30px;
  padding-top: 110px;
}

.lectures-block-title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 30px;
}

.lectures-subtitle {
  font-size: 11px;
  line-height: 16px;
  margin-bottom: 7px;
  opacity: 0.4;
  text-transform: uppercase;
  z-index: 1;
}

.lectures-title {
  font-size: 22px;
  line-height: 18px;
}

.filters-btn {
  background: linear-gradient(90deg, #6b69f9 0%, #6f6eff 100%);
  border-radius: 4px;
  color: #ffffff;
  font-size: 12px;
  font-weight: normal;
  line-height: 17px;
  margin-right: 10px;
  padding: 6px 13px;
  margin-top: 6px;
  margin-bottom: 6px;
}

.button-block {
  display: flex;
}

.slider-btn {
  background: none;
  border: 1px solid #ffffff;
  border-radius: 4px;
  box-sizing: border-box;
  margin-right: 5px;
  padding: 2.5px 11px;
  transition: background 0.1s linear;
  margin-top: 6px;
  margin-bottom: 6px;
}

.slider-btn:hover {
  background: #6f6eff;
}

.slider-container {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 60px;
}

.card-container {
  display: flex;
  flex-direction: column;
  height: 120px;
  justify-content: space-between;
  margin: 15px 15px 15px 15px;
}

.lecture-item {
  background: rgba(172, 172, 172, 0.04);
  border-radius: 6px;
  height: 294px;
  margin: 4px;
  margin-bottom: 8px;
  position: relative;
  transition: box-shadow 0.2s linear;
  width: 255px;
  margin-left: 10px;
  margin-right: 10px;
}

.lecture-item:hover,
.lecture-item:active {
  box-shadow: 0px 0px 6px white;
}

.lecture-item img {
  border-radius: 6px 6px 0px 0px;
}

.card-title {
  font-size: 16px;
  line-height: 12px;
}

.card-subtitle {
  font-size: 14px;
  line-height: 18px;
  margin-top: 10px;
  mix-blend-mode: normal;
  opacity: 0.5;
}

.lecture-item:before {
  background: #d8d8d8;
  content: "";
  display: block;
  height: 1px;
  opacity: 0.1;
  position: absolute;
  top: 240px;
  width: 100%;
}

.card-footer {
  align-items: center;
  display: flex;
  font-size: 13px;
  justify-content: space-between;
  line-height: 10px;
}

.card-footer-button {
  background: linear-gradient(90deg, #6b69f9 0%, #6f6eff 100%);
  border-radius: 4px;
  cursor: pointer;
  padding-bottom: 10px;
  padding-left: 18px;
  padding-right: 18px;
  padding-top: 10px;
}

.lecture-button {
  background: #6f6eff;
  border-radius: 3px;
  color: #ffffff;
  font-size: 12px;
  left: 16px;
  line-height: 12px;
  padding: 3.8px 5.8px;
  position: absolute;
  top: 10px;
}

.weekly__item_button:hover,
.weekly__item_button:active {
  background: #fff;
  color: #6f6eff;
}

.card-footer-date {
  font-size: 13px;
  line-height: 10px;
}